[![npm version](https://badge.fury.io/js/litepicker.svg)](https://www.npmjs.com/package/litepicker) [![Build Status](https://travis-ci.org/wakirin/Litepicker.svg?branch=master)](https://travis-ci.org/wakirin/Litepicker) [![license](https://img.shields.io/github/license/mashape/apistatus.svg)](https://github.com/wakirin/Litepicker/blob/master/README.md)

Litepicker
=========

Date range picker - lightweight, no dependencies

## Features
* No dependencies
* Single date or date range
* Show multiple months
* Min/Max days for select and/or Min/Max dates for select
* Select forward/backward
* Inline mode
* Repick date range
* Lock/Booked days  
  
See more details in docs.

## [Demo & Docs](https://wakirin.github.io/Litepicker)

## Compatibility
* IE 11 (polyfill required, [docs](https://wakirin.github.io/Litepicker/#anchor-IE11))
* Edge 17+
* Chrome 60+
* Firefox 52+
* Safari 11+
* Opera 48+

## Roadmap
* Time picker
* ...

## Additional modules
* [litepicker-module-ranges](https://github.com/wakirin/litepicker-module-ranges) - adds predefined ranges. [demo](https://jsfiddle.net/waki/td0uapeo/)
* [litepicker-module-navkeyboard](https://github.com/wakirin/litepicker-module-navkeyboard) - adds keyboard navigation. [demo](https://jsfiddle.net/waki/3b5uwj1z/)

## See also:
* [Drupal module](https://www.drupal.org/project/date_range_picker) by [kviolka](https://github.com/kviolka)
* [Wordpress Ninja forms](https://github.com/soderlind/date-range-ninja-forms) by [soderlind](https://github.com/soderlind)

## Supporting Litepicker
If you enjoyed working with this library or if its made your life easier, you can buy me a cup of coffee :)

[![](docs/images/oc.png)](https://opencollective.com/litepicker)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[![](docs/images/coffee.png)](https://ko-fi.com/wakirin)

#### Individuals

<a href="https://opencollective.com/Litepicker"><img src="https://opencollective.com/Litepicker/individuals.svg?width=890"></a>

#### Organizations

Support this project with your organization. Your logo will show up here with a link to your website. [[Contribute](https://opencollective.com/Litepicker/contribute)]

<a href="https://opencollective.com/Litepicker/organization/0/website"><img src="https://opencollective.com/Litepicker/organization/0/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/1/website"><img src="https://opencollective.com/Litepicker/organization/1/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/2/website"><img src="https://opencollective.com/Litepicker/organization/2/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/3/website"><img src="https://opencollective.com/Litepicker/organization/3/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/4/website"><img src="https://opencollective.com/Litepicker/organization/4/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/5/website"><img src="https://opencollective.com/Litepicker/organization/5/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/6/website"><img src="https://opencollective.com/Litepicker/organization/6/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/7/website"><img src="https://opencollective.com/Litepicker/organization/7/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/8/website"><img src="https://opencollective.com/Litepicker/organization/8/avatar.svg"></a>
<a href="https://opencollective.com/Litepicker/organization/9/website"><img src="https://opencollective.com/Litepicker/organization/9/avatar.svg"></a>

## Tested on real browsers
Tested on real browsers via BrowserStack.  
Thanks to the BrowserStack for supporting the open-source projects.  

[![](docs/images/Browserstack-logo.png)](https://www.browserstack.com/)